--------------------------------------------------------------------
-- |
-- Module      : Bamse.GhcPackage
-- Description : Specifying the contents of a GHC package.
-- Copyright   : (c) Sigbjorn Finne, 2004-2009
-- License     : BSD3
--
-- Maintainer  : Sigbjorn Finne <sof@forkIO.com>
-- Stability   : provisional
-- Portability : portable
--
-- Specifying the contents of a GHC package.
-- 
--------------------------------------------------------------------
module Bamse.GhcPackage where

data GhcPackage
 = GhcPackage { ghc_packageName :: String 
                 -- ^ Name of the package; this must match the one in the .pkg file.
 	      , ghc_forVersion  :: String
	         -- ^ What version of GHC to install the package for.
 	      , ghc_packageFile :: Maybe FilePath
	         -- ^ Dist-tree local path to .pkg file
	      , ghc_pkgCmdLine  :: Maybe String
	         -- ^ Extra command-line options to feed 'ghc-pkg' when _installing_.
-- more to follow..
-- 	      , ghc_stuff       :: String
 	      } 
